Main Page Class Hierarchy Compound List File List Compound Members File Members

# AiboInfoPkg Class Reference

Implementa un messaggio di informazioni sulla AiboNet. More...

`#include <AiboInfoPkg.h>`

Inheritance diagram for AiboInfoPkg:

List of all members.

## Public Methods
| AiboInfoPkg ()
| Costruttore di default.
| AiboInfoPkg (aiboState *aiboAct, int aiboNum=0, int a=TelepatiPkg::ADDR_INVALID)
| Costruttore ordinario. More...
| AiboInfoPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~AiboInfoPkg ()
| Distruttore di default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...
int | getNumOfAibo ()
| numero di aibo presenti in rete. More...
bool | isActive (int a)
| Informazioni sullo stato di attivita' di un Aibo. More...
bool | isAllActive ()
| Informazioni sullo stato di attivita' degli Aibo. More...

## Detailed Description

Implementa un messaggio di informazioni sulla AiboNet.

Fornisce informazioni sul numero di Aibo presenti e sul loro stato (attivi o non attivi).@n Struttura di "pkg data":@n byte: numero degli aibo con cui e' possibile comunicare. Gli indirizzi degli aibo a cui mandare i messaggi saranno basati su questo numero.@n byte[]: array di byte (conetenente aiboState) di dimensioni numOfAibo, contenente lo stato di attivita' dei singoli Aibo.

## Constructor & Destructor Documentation

AiboInfoPkg::AiboInfoPkg | ( | aiboState * | aiboAct,
|  | int | aiboNum = 0,
|  | int | a = TelepatiPkg::ADDR_INVALID
| ) |

  | Costruttore ordinario. Parameters:
  aiboAct | array di aiboState contenente lo stato di attivita' degli aibo
  aiboNum | numero di Aibo presenti in rete
  a | aibo di destinazione (per compatibilita')

AiboInfoPkg::AiboInfoPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * AiboInfoPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

byte * AiboInfoPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: AiboInfoPkg(byte* ptr) Implements TelepatiPkg.

int AiboInfoPkg::getNumOfAibo | ( |  | ) | `[inline]`

| numero di aibo presenti in rete. Returns: numero di aibo

bool AiboInfoPkg::isActive | ( | int | a | ) | `[inline]`

  | Informazioni sullo stato di attivita' di un Aibo. Parameters:
  a | aibo di cui si vuole conscere lo stato.
Returns: true: se l'aibo e' attivo; false: altrimenti

bool AiboInfoPkg::isAllActive | ( |  | ) |

| Informazioni sullo stato di attivita' degli Aibo. Da informazioni sullo stato di attivita' di tutti gli Aibo. Returns: true se tutti gli aibo sono attivi, false altrimenti

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/AiboInfoPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/AiboInfoPkg.cc